name: detections-jetson

services:
  detections:
    image: ${REGISTRY:-docker.azaion.com}/detections-jetson:${TAG:-latest}
    ports:
      - "8080:8080"
    runtime: nvidia
    environment:
      LOADER_URL: ${LOADER_URL}
      ANNOTATIONS_URL: ${ANNOTATIONS_URL}
    env_file: .env
    volumes:
      - detections-logs:/app/Logs
    shm_size: 512m

volumes:
  detections-logs:
